DEVRES_RELEASE(9)

NAME
devres_release - Find a device resource and destroy it, calling release

SYNOPSIS

int devres_release(struct device * dev, dr_release_t release, dr_match_t match, void * match_data);

ARGUMENTS

dev
    Device to find resource from

release
    Look for resources associated with this release function

match
    Match function (optional)

match_data
    Data for the match function

DESCRIPTION

Find the latest devres of dev associated with release and for which match returns 1. If match is NULL, it's considered to match all. If found, the resource is removed atomically, the release function called and the resource freed.

RETURNS

0 if devres is found and freed, -ENOENT if not found.

COPYRIGHT